summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-09-14 10:11:08 +0200
committerJustin Lecher <jlec@gentoo.org>2015-09-14 10:14:18 +0200
commit5ea5c996a363e72c0c39d8ad46122435a499fe8e (patch)
treefd5d053775b79598c84954046d9ffa7fb7387085 /dev-python/wcwidth
parentdev-util/cmake: Fix libarchive dependency to match CMakeLists.txt (diff)
downloadgentoo-5ea5c996a363e72c0c39d8ad46122435a499fe8e.tar.gz
gentoo-5ea5c996a363e72c0c39d8ad46122435a499fe8e.tar.bz2
gentoo-5ea5c996a363e72c0c39d8ad46122435a499fe8e.zip
dev-python/wcwidth: Version Bump
Package-Manager: portage-2.2.20.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python/wcwidth')
-rw-r--r--dev-python/wcwidth/Manifest1
-rw-r--r--dev-python/wcwidth/wcwidth-0.1.5.ebuild28
2 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/wcwidth/Manifest b/dev-python/wcwidth/Manifest
index 769ea035842..2f936a82f99 100644
--- a/dev-python/wcwidth/Manifest
+++ b/dev-python/wcwidth/Manifest
@@ -1 +1,2 @@
DIST wcwidth-0.1.4.tar.gz 19584 SHA256 906d3123045d77027b49fe912458e1a1e1d6ca1a51558a4bd9168d143b129d2b SHA512 3882d7a4309b868593586e7bc52ce5328504db2f37a4152d53a8b7b8632375866cc07900965d1dd9c84d22c4e2b5cb161b3091c6b3ce4a37d51aeca9c76fe36d WHIRLPOOL 432cff1f6e206c9daf35406d485436c9f7b9a3e7c48f14384f9804d69c6a39099bb9ca4ee99547504c4fa2db8f70259796019f008d1c678c6b73c7de9c09cf60
+DIST wcwidth-0.1.5.tar.gz 19553 SHA256 66c7ce3199c87833aaaa1fe1241b63261ce53c1062597c189a16a54713e0919d SHA512 1235a3fecea0a18d0c3fe160fd3518e05b37b64a232ce3e8a17dee102d6a6d06095c395b07bbd6a812723a78c44df5afaae19c479dae591b6c9aecb3d0001173 WHIRLPOOL 16e2efdf99700c3f04e6c2bab9f429e4df0db78ef248041ea0fbddd5934fed53e55611fec9bd0a7cb7b24a461ede574df991d422ca86ebf0739877993c13dbad
diff --git a/dev-python/wcwidth/wcwidth-0.1.5.ebuild b/dev-python/wcwidth/wcwidth-0.1.5.ebuild
new file mode 100644
index 00000000000..c0c6c3f1331
--- /dev/null
+++ b/dev-python/wcwidth/wcwidth-0.1.5.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Measures number of Terminal column cells of wide-character codes"
+HOMEPAGE="https://pypi.python.org/pypi/wcwidth/ https://github.com/jquast/wcwidth"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ py.test -rs --strict wcwidth/tests || die
+}